Subject: bug#33049: 27.0.50; Uncompiled .el files after make -- intentional?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Oct 2018 21:06:32 +0300

> From: Live System User <[email-masked]>
> Date: Mon, 15 Oct 2018 13:41:31 -0400
> 
>         Recently, I noticed after a git pull and make, some
>         files are now not being byte-compiled
> 
> -rw-rw-r--.  1 liveuser liveuser 181985 Oct 13 22:54 tramp.el
> -rw-rw-r--.  1 liveuser liveuser 217141 Oct  9 14:55  tramp.elc

I cannot reproduce it here.  My tramp.elc has a later timestamp than
tramp.el.

>        So what triggers a byte-compilation when doing a `make'?

Time stamps, of course.

>        What caused tramp.el to not be recompiled after a
>        subsequent `make'?

No idea.  How about running "make -d" and examining the (voluminous)
output, where it talks about tramp.el?

>        (I normally do a `make TAGS' if that matters, FWIW).

You mean, you run _only_ "make TAGS"?  That's insufficient, I think.